# $Revision: 1.142 $, $Date: 2010/02/19 16:05:16 $
#
# Conditional build:
%bcond_with		bootstrap	# without full regeneration

%include	/usr/lib/rpm/macros.perl
Summary:	GNU automake - Makefile configuration tools
Summary(de.UTF-8):	GNU automake - Makefile-Konfigurationstools
Summary(es.UTF-8):	GNU automake - herramientas de configuración de Makefile
Summary(fr.UTF-8):	automake de GNU - Outils de configuration des makefiles
Summary(ko.UTF-8):	스스로 Makefile을 만들어주는 GNU 도구
Summary(pl.UTF-8):	GNU Automake - generator plików Makefile
Summary(pt_BR.UTF-8):	GNU automake - ferramentas de configuração de Makefile
Summary(ru.UTF-8):	GNU automake - инструменты для автоматической генерации Makefile'ов
Summary(tr.UTF-8):	Makefile yapılandırma araçları
Summary(uk.UTF-8):	GNU automake - інструменти для автоматичної генерації Makefile'ів
Name:		automake
Version:	1.11.1
Release:	2
Epoch:		1
License:	GPL v2+
Group:		Development/Building
Source0:	http://ftp.gnu.org/gnu/automake/%{name}-%{version}.tar.bz2
# Source0-md5:	c2972c4d9b3e29c03d5f2af86249876f
Patch0:		%{name}-info.patch
Patch1:		%{name}-man.patch
Patch2:		%{name}-no_versioned_dir.patch
Patch3:		%{name}-morearchs.patch
URL:		http://sources.redhat.com/automake/
%if %{without bootstrap}
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10a
%else
BuildRequires:	autoconf >= 2.63
%endif
BuildRequires:	help2man
BuildRequires:	rpm-perlprov
BuildRequires:	texinfo >= 4.7
Requires(pre):	fileutils
Requires:	filesystem >= 3.0-2
Requires:	perl(File::Glob)
%if %(%{__perl} -le 'use threads; print 1' || echo 0)
# required only if perl was built with threads
Requires:	perl(Thread::Queue)
Requires:	perl(threads)
%endif
Conflicts:	autoconf < 2.60
Conflicts:	libtool < 2:1.5-11
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
Automake is an experimental Makefile generator. Automake was inspired
by the 4.4BSD make and include files, but aims to be portable and to
conform to the GNU standards for Makefile variables and targets.

%description -l de.UTF-8
Automake ist ein experimenteller Makefile-Generator, inspiriert durch
die 4.4BSD-Make und Include-Dateien, der jedoch auf Portabilität und
Konformität mit den GNU-Standards für Makefile-Variable und Targets
abzielt.

%description -l es.UTF-8
Automake es un creador experimental de Makefiles. Fue inspirado en el
4.4BSD make y incluye archivos, pero visa ser portátil y compatible
con los padrones GNU para variables y dianas de Makefile.

%description -l fr.UTF-8
automake est un générateur expérimental de makefiles. Il a été inspiré
par le make de BSD 4.4, mais se veut portable et conforme aux
standards GNU pour les variables et les cibles des makefiles.

%description -l pl.UTF-8
Automake jest eksperymentalnym generatorem plików Makefile'a.
Narzędzie to jest wzorowane na make i plikach nagłówkowych z systemu
4.4BSD. Umożliwia ono generowanie plików Makefile w oderwaniu od
platformy systemowej będąc jednocześnie zgodnym ze standardami GNU.

%description -l pt_BR.UTF-8
Automake é um gerador experimental de Makefiles. Ele foi inspirado
pelo 4.4BSD make e inclui arquivos, mas visa ser portável e compatível
com os padrões GNU para variáveis e alvos de Makefile.

%description -l ru.UTF-8
Automake - это экспериментальный генератор Makefile'ов. Идея была
навеяна программой make и хедерами из 4.4BSD, но automake претендует
на то, чтобы быть портабельной и соответствовать стандартам GNU на
переменные и цели Makefile'ов.

%description -l tr.UTF-8
Automake deneysel bir Makefile üreticisidir. 4.4BSD make ve include
dosyalarından esinlenilmistir, ama amaç taşınabilir olmak ve Makefile
değişkenleri ve hedefleri için GNU standartlarına uyum göstermektir.

%description -l uk.UTF-8
Automake - це експериментальний генератор Makefile'ів. Ідея була
навіяна програмою make та хедерами з 4.4BSD, але automake має за ціль
мобільність та відповідність стандартам GNU на змінні ті цілі
Makefile'ів.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%if %{without bootstrap}
# prepare temporary copy of m4 dir without amversion.m4 (which causes automake version check)
mkdir m4-tmp
cd m4-tmp
ln -s ../m4/[!a]*.m4 ../m4/a[!m]*.m4 .
%endif

%build
%if %{without bootstrap}
%{__aclocal} -I m4-tmp
%endif
%{__autoconf}
%if %{without bootstrap}
%{__automake}
%endif

# NOTE: _target macro becames "noarch" if ./builder passes --target=noarch, so
# use plain /usr/bin/rpmbuild.
%configure \
	--host=%{_target} \
	--build=%{_target}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgvdatadir=%{_datadir}/automake

install aclocal.1 automake.1 $RPM_BUILD_ROOT%{_mandir}/man1

rm -f $RPM_BUILD_ROOT%{_infodir}/dir*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/aclocal*
%attr(755,root,root) %{_bindir}/automake*
%{_infodir}/automake.info*
%{_mandir}/man1/aclocal.1*
%{_mandir}/man1/aclocal-1.11.1*
%{_mandir}/man1/automake.1*
%{_mandir}/man1/automake-1.11.1*

%{_datadir}/aclocal-*
%dir %{_datadir}/automake
%{_datadir}/automake/am
%{_datadir}/automake/Automake
%{_datadir}/automake/COPYING
%{_datadir}/automake/INSTALL
%{_datadir}/automake/texinfo.tex
%{_datadir}/automake/ansi2knr*
%attr(755,root,root) %{_datadir}/automake/acinstall
%attr(755,root,root) %{_datadir}/automake/compile
%attr(755,root,root) %{_datadir}/automake/config.guess
%attr(755,root,root) %{_datadir}/automake/config.sub
%attr(755,root,root) %{_datadir}/automake/config-ml.in
%attr(755,root,root) %{_datadir}/automake/depcomp
%attr(755,root,root) %{_datadir}/automake/elisp-comp
%attr(755,root,root) %{_datadir}/automake/install-sh
%attr(755,root,root) %{_datadir}/automake/mdate-sh
%attr(755,root,root) %{_datadir}/automake/missing
%attr(755,root,root) %{_datadir}/automake/mkinstalldirs
%attr(755,root,root) %{_datadir}/automake/py-compile
%attr(755,root,root) %{_datadir}/automake/symlink-tree
%attr(755,root,root) %{_datadir}/automake/ylwrap

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: automake.spec,v $
Revision 1.142  2010/02/19 16:05:16  glen
- pass --build and --host params to configure so we can itself be noarch package; rel 2

Revision 1.141  2010/02/19 11:58:12  glen
- no binary blobs

Revision 1.140  2010/02/19 11:31:50  glen
- rename regeneration bcond to bootstrap

Revision 1.139  2009/12/20 19:23:26  adamg
- updated to 1.11.1

Revision 1.138  2009/11/27 00:15:12  sparky
- BR: help2man

Revision 1.137  2009/11/22 03:19:09  sparky
- threads are required only if perl was built with threads

Revision 1.136  2009/11/22 02:54:01  sparky
- rel 2

Revision 1.135  2009/11/14 22:39:32  sparky
- also R: perl(Thread::Queue)

Revision 1.134  2009/10/24 19:55:51  charles
- R: perl(threads)

Revision 1.133  2009/08/30 20:39:00  qboosh
- updated BRed ac/am versions
- package {aclocal,automake}-1.11(1) manuals

Revision 1.132  2009/05/17 20:36:12  arekm
- up to 1.11

Revision 1.131  2008/12/27 11:19:03  qboosh
- added depout patch (fix for "nothing to shift" failure taken from git)
- release 2

Revision 1.130  2008/11/24 00:18:40  pawelz
- up to 1.10.2

Revision 1.129  2008/01/24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.128  2008-01-22 19:41:47  qboosh
- updated to 1.10.1

Revision 1.127  2007-02-24 13:55:30  arekm
- rel 3

Revision 1.126  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.125  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.124  2007/02/08 11:53:48  tommat
- allow build with autoconf > 2.60
- fix build on sparc multilib
- rel 2

Revision 1.123  2006/10/28 13:12:35  glen
- cleanup unused macro

Revision 1.122  2006/10/26 22:08:50  glen
- drop quoteld patch, it's problem in KDE build system not here

Revision 1.121  2006/10/26 21:18:02  qboosh
- automake m4 macros use versioned aclocal dir now;
  other m4 macros use non-versioned (system) aclocal dir, owned by filesystem now

Revision 1.120  2006/10/26 21:12:01  qboosh
- autoconf >= 2.60 is required now

Revision 1.119  2006/10/26 21:08:14  qboosh
- updated to 1.10
- updated info,no_versioned_dir patches, removed obsolete CCASCOMPILE-output patch

Revision 1.118  2006/04/06 21:51:02  glen
- bcond quoteld patch, rel 3

Revision 1.117  2006/03/28 14:23:55  glen
- add quote ld patch

Revision 1.116  2006/02/12 14:16:25  sparky
- added morearchs patch

Revision 1.115  2005/07/16 13:16:15  qboosh
- updated to 1.9.6, updated info patch

Revision 1.114  2005/06/13 21:17:05  wolf
- cut changelog

Revision 1.113  2005/03/21 18:11:17  mmazur
- rel2 for th
- keep in mind I need to rebuild base packages once more, since Th's rpm
  doesn't do package names in reqs

Revision 1.112  2005/02/14 18:54:48  qboosh
- updated to 1.9.5
